For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
              • GETList Receipts
              • GETGet Receipt
              • DELDelete Receipt
              • GETList Receipt Lines
              • GETList Lines of Receipt
              • GETGet Receipt Line Detail
              • DELDelete Receipt Line
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementInvoice ManagementReceipt

List Lines of Receipt

GET
https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/:receiptId/lines
GET
/api/v3/io/ip/receipts/:receiptId/lines
$curl https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/receiptId/lines \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 200,
3 "data": [
4 {
5 "id": 92,
6 "createdAt": 1630570416,
7 "updatedAt": 1630570416,
8 "storeHash": "1i6zpxpe3g",
9 "customerId": "5707",
10 "externalId": "",
11 "externalCustomerId": "",
12 "receiptId": 83,
13 "invoiceId": 19,
14 "amount": {
15 "code": "CNY",
16 "value": "0.7000"
17 },
18 "paymentStatus": 3,
19 "paymentType": "Offline",
20 "invoiceNumber": "00000019",
21 "paymentId": 90,
22 "referenceNumber": "test",
23 "transactionType": "Paid"
24 },
25 {
26 "id": 91,
27 "createdAt": 1630570416,
28 "updatedAt": 1630570416,
29 "storeHash": "1i6zpxpe3g",
30 "customerId": "5707",
31 "externalId": "",
32 "externalCustomerId": "",
33 "receiptId": 83,
34 "invoiceId": 22,
35 "amount": {
36 "code": "CNY",
37 "value": "0.5000"
38 },
39 "paymentStatus": 3,
40 "paymentType": "Offline",
41 "invoiceNumber": "00000022",
42 "paymentId": 90,
43 "referenceNumber": "test",
44 "transactionType": "Paid"
45 }
46 ],
47 "meta": {
48 "message": "SUCCESS",
49 "pagination": {
50 "totalCount": 2,
51 "offset": 0,
52 "limit": 10
53 }
54 }
55}
Get lines of a receipt, with pagination data
Was this page helpful?
Previous

List Receipt Lines

Next

Get Receipt Line Detail

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

receiptIdstringRequired
The unique ID of the receipt.

Query parameters

offsetintegerOptional>=0

Pagination offset default: 0

limitintegerOptional1-250Defaults to 10

Pagination limit default: 10

orderByenumOptionalDefaults to DESC

Allow: ‘DESC’, ‘ASC’

Allowed values:
paymentStatus[]list of enumsOptional

Payment processing status. 0 means ‘Incomplete’ status, 1 means ‘Awaiting Processing’ status, 2 means ‘Processing’ status, 3 means ‘Completed’ status, 4 means ‘Refunded’ status

Allowed values:
qstringOptional
You can perform keyword queries on fields corresponding to the value of "searchBy" or, if "searchBy" is empty, on all fields supported by "searchBy".
searchByenumOptional
The response search by which field
sortByenumOptionalDefaults to createdAt
The response sorted by which field

Response

OK
codedouble
datalist of objects
metaobject

Errors

404
Not Found Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.